We can't upgrade the Overcloud if the stack name contains underscores

Bug #1775404 reported by Carlos Camacho on 2018-06-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
tripleo
Critical
Carlos Camacho

Bug Description

The Overcloud in latest releases don't allow using underscores '_' in the stack name, but in previous releases (Newton) we allow it.

We need to ensure if there is an Overcloud deployed in Newton with an underscore in the stack name this is fixed before proceeding with the upgrade.

Fix proposed to branch: master
Review: https://review.openstack.org/572774

Changed in tripleo:
assignee: nobody → Carlos Camacho (ccamacho)
status: Triaged → In Progress
summary: - We can't upgrade the Overcloud if the name contains undercores
+ We can't upgrade the Overcloud if the stack name contains underscores
description: updated

Change abandoned by Carlos Camacho (<email address hidden>) on branch: master
Review: https://review.openstack.org/572774
Reason: Only for newton. See: https://review.openstack.org/#/c/572789/

Reviewed: https://review.openstack.org/572789
Committed: https://git.openstack.org/cgit/openstack/tripleo-validations/commit/?id=b7631b7818359f83ce7eaae09885904e744704da
Submitter: Zuul
Branch: stable/newton

commit b7631b7818359f83ce7eaae09885904e744704da
Author: Carlos Camacho <email address hidden>
Date: Wed Jun 6 16:26:12 2018 +0200

    Add validation to avoid the upgrade if the Overcloud stack name has underscores.

    We need to ensure the Overcloud is fixed before proceeding with an Upgrade.

    Fix only for stable/newton
    Resolves: rhbz#1576839
    Change-Id: I203d1b4bee19d24e0cadd52d66556f3e6af68528
    Closes-Bug: 1775404

tags: added: in-stable-newton
Carlos Camacho (ccamacho) wrote :

We released this check

Changed in tripleo:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers